---
title: Animation.oncancel
slug: Web/API/Animation/oncancel
tags:
  - API
  - Animation
  - Event Handler
  - Property
  - Reference
  - Web Animations
  - oncancel
  - web animations api
---
<p>{{ SeeCompatTable() }}{{ APIRef("Web Animations") }}</p>

<p>The <code><strong>oncancel</strong></code> property of the <a href="/en-US/docs/Web/API/Web_Animations_API">Web Animations API</a>'s {{domxref("Animation")}} interface is the event handler for the {{event("cancel")}} event.</p>

<p>The <code>cancel</code> event can be triggered manually with {{domxref("Animation.cancel()")}} when the animation enters the <code>"idle"</code> play state from another state, such as when the animation is removed from an element before it finishes playing</p>

<div class="note">
<p>Creating a new animation that is initially idle does not trigger a {{event("cancel")}} event on the new animation.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <em>cancelHandler</em> = <em>Animation</em>.oncancel;

<em>Animation</em>.oncancel = <em>cancelHandler</em>;</pre>

<h3 id="Value">Value</h3>

<p>A function to be executed when the animation is cancelled, or <code>null</code> if there is no {{event("cancel")}} event handler.</p>

<h2 id="Examples">Examples</h2>

<p>If this animation is canceled, remove its element.</p>

<pre class="brush: js notranslate">animation.oncancel = function() { animation.effect.target.remove(); };
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Animations', '#dom-animation-oncancel', 'Animation.oncancel' )}}</td>
   <td>{{Spec2('Web Animations')}}</td>
   <td>Editor's draft.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.Animation.oncancel")}}</p>
</div>

<h2 id="See_also" style="line-height: 30px; font-size: 2.14285714285714rem;">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Web_Animations_API">Web Animations API</a></li>
 <li>{{domxref("Animation")}}</li>
 <li>The {{event("cancel")}} event</li>
</ul>
